Index: trunk/LMDZ.TITAN/libf/phytitan/aaam_bud.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/aaam_bud.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/aaam_bud.F	(revision 1530)
@@ -7,4 +7,5 @@
 c
       use dimphy
+      use mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, klon_glo
       implicit none
 c======================================================================
@@ -52,8 +53,8 @@
 c ===================
 c
-c iim--common-I: Number of longitude intervals
-c jjm--common-I: Number of latitude intervals
+c nbp_lon--common-I: Number of longitude intervals
+c nbp_lat-1--common-I: Number of latitude intervals
 c klon-common-I: Number of points seen by the physics
-c                iim*(jjm-1)+2 for instance
+c                nbp_lon*(nbp_lat-1-1)+2 for instance
 c klev-common-I: Number of vertical layers
 c======================================================================
@@ -78,5 +79,4 @@
 c======================================================================
 
-#include "dimensions.h"
 c
 c ARGUMENTS
@@ -106,5 +106,5 @@
 C  PUT AAM QUANTITIES AT ZERO:
 C
-      if(iim+1.gt.801.or.jjm+1.gt.401)then
+      if(nbp_lon+1.gt.801.or.nbp_lat.gt.401)then
       print *,' Pb de dimension dans aaam_bud'
       stop
@@ -114,6 +114,10 @@
       hadley=1.e18
       hadday=1.e18*1.e7
-      dlat=xpi/float(jjm)
-      dlon=2.*xpi/float(iim) 
+      IF (klon_glo.EQ.1) THEN
+        dlat=xpi
+      ELSE
+        dlat=xpi/float(nbp_lat-1)
+      ENDIF
+      dlon=2.*xpi/float(nbp_lon) 
       
       do iax=1,3
@@ -140,5 +144,5 @@
           zlat(1)=plat(l)*xpi/180.
 
-        do i=1,iim+1
+        do i=1,nbp_lon+1
 
           zs(i,1)=phis(l)/rg
@@ -154,26 +158,28 @@
 
 
-      do j = 2,jjm
+      do j = 2,nbp_lat-1
 
 C Values at Greenwich (Periodicity)
 
-      zs(iim+1,j)=phis(l+1)/rg
-      ps(iim+1,j)=p(l+1,1)
-          ssou(iim+1,j)=dragu(l+1)+liftu(l+1)
-          ssov(iim+1,j)=dragv(l+1)+liftv(l+1)
-          blsu(iim+1,j)=clu(l+1)
-          blsv(iim+1,j)=clv(l+1)
-      zlon(iim+1)=-plon(l+1)*xpi/180.
+      zs(nbp_lon+1,j)=phis(l+1)/rg
+      ps(nbp_lon+1,j)=p(l+1,1)
+          ssou(nbp_lon+1,j)=dragu(l+1)+liftu(l+1)
+          ssov(nbp_lon+1,j)=dragv(l+1)+liftv(l+1)
+          blsu(nbp_lon+1,j)=clu(l+1)
+          blsv(nbp_lon+1,j)=clv(l+1)
+      zlon(nbp_lon+1)=-plon(l+1)*xpi/180.
       zlat(j)=plat(l+1)*xpi/180.
 
-      ub(iim+1,j)=0.
-      vb(iim+1,j)=0.
+      ub(nbp_lon+1,j)=0.
+      vb(nbp_lon+1,j)=0.
          do k=1,nlev
-         ub(iim+1,j)=ub(iim+1,j)+u(l+1,k)*(p(l+1,k)-p(l+1,k+1))/rg
-         vb(iim+1,j)=vb(iim+1,j)+v(l+1,k)*(p(l+1,k)-p(l+1,k+1))/rg
+         ub(nbp_lon+1,j)=ub(nbp_lon+1,j)+u(l+1,k)*
+     &                                   (p(l+1,k)-p(l+1,k+1))/rg
+         vb(nbp_lon+1,j)=vb(nbp_lon+1,j)+v(l+1,k)*
+     &                                   (p(l+1,k)-p(l+1,k+1))/rg
          enddo
       
 
-      do i=1,iim
+      do i=1,nbp_lon
 
       l=l+1
@@ -201,21 +207,21 @@
 
       l=l+1
-      ub(1,jjm+1)=0.
-      vb(1,jjm+1)=0.
+      ub(1,nbp_lat)=0.
+      vb(1,nbp_lat)=0.
       do k=1,nlev
-         ub(1,jjm+1)=ub(1,jjm+1)+u(l,k)*(p(l,k)-p(l,k+1))/rg
-         vb(1,jjm+1)=vb(1,jjm+1)+v(l,k)*(p(l,k)-p(l,k+1))/rg
-      enddo
-      zlat(jjm+1)=plat(l)*xpi/180.
-
-      do i=1,iim+1
-      zs(i,jjm+1)=phis(l)/rg
-      ps(i,jjm+1)=p(l,1)
-          ssou(i,jjm+1)=dragu(l)+liftu(l)
-          ssov(i,jjm+1)=dragv(l)+liftv(l)
-          blsu(i,jjm+1)=clu(l)
-          blsv(i,jjm+1)=clv(l)
-      ub(i,jjm+1)=ub(1,jjm+1)                               
-      vb(i,jjm+1)=vb(1,jjm+1)                                
+         ub(1,nbp_lat)=ub(1,nbp_lat)+u(l,k)*(p(l,k)-p(l,k+1))/rg
+         vb(1,nbp_lat)=vb(1,nbp_lat)+v(l,k)*(p(l,k)-p(l,k+1))/rg
+      enddo
+      zlat(nbp_lat)=plat(l)*xpi/180.
+
+      do i=1,nbp_lon+1
+      zs(i,nbp_lat)=phis(l)/rg
+      ps(i,nbp_lat)=p(l,1)
+          ssou(i,nbp_lat)=dragu(l)+liftu(l)
+          ssov(i,nbp_lat)=dragv(l)+liftv(l)
+          blsu(i,nbp_lat)=clu(l)
+          blsv(i,nbp_lat)=clv(l)
+      ub(i,nbp_lat)=ub(1,nbp_lat)                               
+      vb(i,nbp_lat)=vb(1,nbp_lat)                                
       enddo
 
@@ -223,6 +229,6 @@
 C  MOMENT ANGULAIRE 
 C
-        DO j=1,jjm    
-        DO i=1,iim
+        DO j=1,nbp_lat-1    
+        DO i=1,nbp_lon
 
            raam(1)=raam(1)-rea**3*dlon*dlat*0.5*
@@ -261,6 +267,6 @@
 C
 
-        DO j=1,jjm
-        DO i=1,iim
+        DO j=1,nbp_lat-1
+        DO i=1,nbp_lon
            tmou(1)=tmou(1)-rea**2*dlon*0.5*sin(zlon(i))
      c  *(zs(i,j)-zs(i,j+1))
@@ -272,6 +278,6 @@
         ENDDO
            
-        DO j=2,jjm 
-        DO i=1,iim
+        DO j=2,nbp_lat-1 
+        DO i=1,nbp_lon
            tmou(1)=tmou(1)+rea**2*dlat*0.5*sin(zlat(j))
      c  *(zs(i+1,j)-zs(i,j))
@@ -288,6 +294,6 @@
 C
         l=1
-        DO j=2,jjm
-        DO i=1,iim
+        DO j=2,nbp_lat-1
+        DO i=1,nbp_lon
         l=l+1
            tsso(1)=tsso(1)-rea**3*cos(zlat(j))*dlon*dlat*
@@ -335,12 +341,12 @@
 c00   format(F12.5,5(1x,F12.5))
 
-      write(iam+1,*)((zs(i,j),i=1,iim),j=1,jjm+1)
-      write(iam+1,*)((ps(i,j),i=1,iim),j=1,jjm+1)
-      write(iam+1,*)((ub(i,j),i=1,iim),j=1,jjm+1)
-      write(iam+1,*)((vb(i,j),i=1,iim),j=1,jjm+1)
-      write(iam+1,*)((ssou(i,j),i=1,iim),j=1,jjm+1)
-      write(iam+1,*)((ssov(i,j),i=1,iim),j=1,jjm+1)
-      write(iam+1,*)((blsu(i,j),i=1,iim),j=1,jjm+1)
-      write(iam+1,*)((blsv(i,j),i=1,iim),j=1,jjm+1)
+      write(iam+1,*)((zs(i,j),i=1,nbp_lon),j=1,nbp_lat)
+      write(iam+1,*)((ps(i,j),i=1,nbp_lon),j=1,nbp_lat)
+      write(iam+1,*)((ub(i,j),i=1,nbp_lon),j=1,nbp_lat)
+      write(iam+1,*)((vb(i,j),i=1,nbp_lon),j=1,nbp_lat)
+      write(iam+1,*)((ssou(i,j),i=1,nbp_lon),j=1,nbp_lat)
+      write(iam+1,*)((ssov(i,j),i=1,nbp_lon),j=1,nbp_lat)
+      write(iam+1,*)((blsu(i,j),i=1,nbp_lon),j=1,nbp_lat)
+      write(iam+1,*)((blsv(i,j),i=1,nbp_lon),j=1,nbp_lat)
 
       RETURN
Index: trunk/LMDZ.TITAN/libf/phytitan/ajsec.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ajsec.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/ajsec.F	(revision 1530)
@@ -7,4 +7,5 @@
 
       use dimphy
+      use mod_grid_phy_lmdz, only: nbp_lev
       use cpdet_mod, only: t2tpot, tpot2t
       IMPLICIT none
@@ -27,5 +28,4 @@
 c d_qfi-----output-R-Incrementation des traceurs
 c======================================================================
-#include "dimensions.h"
 #include "YOMCST.h"
       REAL paprs(klon,klev+1), pplay(klon,klev)
@@ -66,5 +66,5 @@
 c------------------------------------- passage en temperature potentielle
 ! ADAPTATION GCM POUR CP(T)
-      call t2tpot(klon*llm,tfi,zh,ppk)
+      call t2tpot(klon*nbp_lev,tfi,zh,ppk)
 c
       DO k = limbas, limhau
@@ -168,5 +168,5 @@
 c------------------------------------- et calcul du d_t 
 ! ADAPTATION GCM POUR CP(T)
-      call tpot2t(klon*llm,zh,zt,ppk)
+      call tpot2t(klon*nbp_lev,zh,zt,ppk)
 
       DO k = limbas, limhau
Index: trunk/LMDZ.TITAN/libf/phytitan/ballon.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ballon.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/ballon.F	(revision 1530)
@@ -3,4 +3,5 @@
 
       use dimphy
+      use mod_grid_phy_lmdz, only: nbp_lon, nbp_lat
       implicit none
 
@@ -94,5 +95,4 @@
 c======================================================================
 
-#include "dimensions.h"
 #include "YOMCST.h"
 c
@@ -110,6 +110,5 @@
       INTEGER jj,ii,ll
 
-      REAL zlon(iim+1),zlat(jjm+1)
-      save zlon,zlat
+      REAL,SAVE,ALLOCATABLE :: zlon(:),zlat(:)
 
       REAL time
@@ -141,18 +140,21 @@
       print*,"BALLOONS ACTIVATED"
 
+      allocate(zlon(nbp_lon+1))
+      allocate(zlat(nbp_lat))
+
 C Latitudes:
       zlat(1)=plat(1)*RPI/180.
-      do j = 2,jjm
-         k=(j-2)*iim+2
+      do j = 2,nbp_lat-1
+         k=(j-2)*nbp_lon+2
          zlat(j)=plat(k)*RPI/180.
       enddo
-      zlat(jjm+1)=plat(klon)*RPI/180.
+      zlat(nbp_lat)=plat(klon)*RPI/180.
 
 C Longitudes:
-      do i = 1,iim
+      do i = 1,nbp_lon
          k=i+1
          zlon(i)=plon(k)*RPI/180.
       enddo
-      zlon(iim+1)=zlon(1)+2.*RPI
+      zlon(nbp_lon+1)=zlon(1)+2.*RPI
 
 c verif init     lat de 90 à -90, lon de -180 à 180
@@ -256,4 +258,5 @@
 
       use dimphy
+      use mod_grid_phy_lmdz, only: nbp_lon, nbp_lat
       implicit none
 
@@ -283,5 +286,4 @@
 c======================================================================
 
-#include "dimensions.h"
 #include "YOMCST.h"
 c
@@ -289,5 +291,5 @@
 c
       real map_u(klon),map_v(klon),map_a(klon)
-      real latit(jjm+1),longit(iim)
+      real latit(nbp_lat),longit(nbp_lon)
       real phi,lam,ubal,vbal,abal
 c
@@ -296,5 +298,5 @@
       INTEGER i,j,k
       INTEGER jj,ii
-      REAL    ujj(iim+1),vjj(iim+1),ajj(iim+1)
+      REAL    ujj(nbp_lon+1),vjj(nbp_lon+1),ajj(nbp_lon+1)
       REAL    factlat,factlon
 
@@ -302,5 +304,5 @@
 c-------------------------------------------------
         jj=1  ! POLE NORD 
-        do j=2,jjm
+        do j=2,nbp_lat-1
           if (phi.lt.latit(j)) jj=j
         enddo
@@ -309,5 +311,5 @@
 c pole nord
         if (jj.eq.1) then
-         do i=1,iim
+         do i=1,nbp_lon
           ujj(i) = map_u(i+1)*factlat + map_u(1)*(1-factlat)
           vjj(i) = map_v(i+1)*factlat + map_v(1)*(1-factlat)
@@ -315,7 +317,7 @@
          enddo
 c pole sud
-        elseif (jj.eq.jjm) then
-         do i=1,iim
-          k = (jj-2)*iim+1+i
+        elseif (jj.eq.nbp_lat-1) then
+         do i=1,nbp_lon
+          k = (jj-2)*nbp_lon+1+i
           ujj(i) = map_u(klon)*factlat + map_u(k)*(1-factlat)
           vjj(i) = map_v(klon)*factlat + map_v(k)*(1-factlat)
@@ -324,19 +326,19 @@
 c autres latitudes
         else
-         do i=1,iim
-          k = (jj-2)*iim+1+i
-          ujj(i) = map_u(k+iim)*factlat + map_u(k)*(1-factlat)
-          vjj(i) = map_v(k+iim)*factlat + map_v(k)*(1-factlat)
-          ajj(i) = map_a(k+iim)*factlat + map_a(k)*(1-factlat)
+         do i=1,nbp_lon
+          k = (jj-2)*nbp_lon+1+i
+          ujj(i) = map_u(k+nbp_lon)*factlat + map_u(k)*(1-factlat)
+          vjj(i) = map_v(k+nbp_lon)*factlat + map_v(k)*(1-factlat)
+          ajj(i) = map_a(k+nbp_lon)*factlat + map_a(k)*(1-factlat)
          enddo
         endif
-        ujj(iim+1)=ujj(1)
-        vjj(iim+1)=vjj(1)
-        ajj(iim+1)=ajj(1)
+        ujj(nbp_lon+1)=ujj(1)
+        vjj(nbp_lon+1)=vjj(1)
+        ajj(nbp_lon+1)=ajj(1)
 
 c Interpolation in longitudes
 c-------------------------------------------------
         ii=1  ! lon=-180
-        do i=2,iim
+        do i=2,nbp_lon
           if (lam.gt.longit(i)) ii=i
         enddo
@@ -370,5 +372,4 @@
 c======================================================================
 
-#include "dimensions.h"
 #include "YOMCST.h"
 c
Index: trunk/LMDZ.TITAN/libf/phytitan/calchim.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/calchim.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/calchim.F	(revision 1530)
@@ -19,8 +19,7 @@
       USE comgeomphy,  only: rlatd
       USE moyzon_mod, only: tmoy,playmoy,zlaymoy,zlevmoy,klat
+      use mod_grid_phy_lmdz, only: nbp_lat
       implicit none
-#include "dimensions.h"
 #include "clesphys.h"
-#include "paramet.h"
 #include "YOMCST.h"
 
@@ -105,5 +104,5 @@
 c ************************************
 
-        allocate(krpd(15,ND+1,NLRT,jjp1),krate(NLEV,NR),md(NLEV,NC))
+        allocate(krpd(15,ND+1,NLRT,nbp_lat),krate(NLEV,NR),md(NLEV,NC))
 
 c Verification du nombre de composes: coherence common_mod et nqmax-nmicro
@@ -265,5 +264,5 @@
 c taux de photodissociations:
 c --------------------------
-        call disso(krpd,jjp1) 
+        call disso(krpd,nbp_lat) 
 
 c reactions chimiques:
Index: trunk/LMDZ.TITAN/libf/phytitan/clmain.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/clmain.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/clmain.F	(revision 1530)
@@ -35,4 +35,5 @@
       USE interface_surf
       use dimphy
+      use mod_grid_phy_lmdz, only: nbp_lev
       use cpdet_mod, only: t2tpot
       IMPLICIT none
@@ -66,5 +67,4 @@
 cAA la premiere couche
 c======================================================================
-#include "dimensions.h"
 c$$$ PB ajout pour soil
 #include "dimsoil.h"
@@ -324,5 +324,5 @@
 
 ! ADAPTATION GCM POUR CP(T)
-         call t2tpot(knon*llm,yt,yteta,ppk)
+         call t2tpot(knon*nbp_lev,yt,yteta,ppk)
 
          yzlev(1:knon,1)=0.
@@ -479,4 +479,5 @@
       USE interface_surf
       use dimphy
+      use mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, nbp_lev
       use cpdet_mod, only: t2tpot,tpot2t,cpdet
 
@@ -486,5 +487,4 @@
 c Objet: diffusion verticale de "h"
 c======================================================================
-#include "dimensions.h"
 #include "YOMCST.h"
 #include "dimsoil.h"
@@ -594,5 +594,5 @@
 
 c passage en enthalpie potentielle
-      call t2tpot(knon*llm,t,local_h,ppk)
+      call t2tpot(knon*nbp_lev,t,local_h,ppk)
 c     print*,"tpot en entree de clqh=",local_h(klon/2,:)
 
@@ -685,5 +685,5 @@
 ! ADAPTATION GCM POUR CP(T)
       CALL interfsurf_hq(itime, dtime, rmu0,
-     e klon, iim, jjm, knon, 
+     e klon, nbp_lon, nbp_lat-1, knon, 
      e rlon, rlat, cufi, cvfi, 
      e debut, lafin, soil_model, nsoilmx,tsoil, 
@@ -733,5 +733,5 @@
       ENDDO
       ENDDO
-      call tpot2t(knon*llm,local_h,d_t,ppk)
+      call tpot2t(knon*nbp_lev,local_h,d_t,ppk)
 
 c     print*,"tpot en sortie de clqh=",local_h(klon/2,:)
@@ -781,5 +781,4 @@
 c flux_v---output-R- (diagnostic) flux du vent: (kg m/s)/(m**2 s)
 c======================================================================
-#include "dimensions.h"
 #include "iniprint.h"
       INTEGER knon
@@ -908,5 +907,4 @@
 c pcfh-----output-R- coefficients a calculer (chaleur et humidite)
 c======================================================================
-#include "dimensions.h"
 #include "YOMCST.h"
 #include "iniprint.h"
@@ -1172,4 +1170,5 @@
 
       use dimphy
+      use mod_grid_phy_lmdz, only: nbp_lev
       use cpdet_mod, only: cpdet
       IMPLICIT none
@@ -1188,5 +1187,4 @@
 c pcfh-----output-R- coefficients a calculer (chaleur et humidite)
 c======================================================================
-#include "dimensions.h"
 #include "YOMCST.h"
 #include "iniprint.h"
Index: trunk/LMDZ.TITAN/libf/phytitan/cltrac.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/cltrac.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/cltrac.F	(revision 1530)
@@ -27,5 +27,4 @@
 c flux_tr--output-R- flux de tr
 c======================================================================
-#include "dimensions.h"
       REAL dtime
       REAL coef(klon,klev)
Index: trunk/LMDZ.TITAN/libf/phytitan/coefkzmin.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/coefkzmin.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/coefkzmin.F	(revision 1530)
@@ -9,5 +9,4 @@
       IMPLICIT NONE
 
-#include "dimensions.h"
 #include "YOMCST.h"
 
Index: trunk/LMDZ.TITAN/libf/phytitan/common_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/common_mod.F90	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/common_mod.F90	(revision 1530)
@@ -90,5 +90,4 @@
 use dimphy
 IMPLICIT NONE
-#include "dimensions.h"
 #include "microtab.h"
 
Index: trunk/LMDZ.TITAN/libf/phytitan/diagphy.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/diagphy.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/diagphy.F	(revision 1530)
@@ -51,5 +51,4 @@
       implicit none
 
-#include "dimensions.h"
 #include "YOMCST.h"
 C
@@ -212,5 +211,4 @@
       IMPLICIT NONE
 C
-#include "dimensions.h"
 #include "YOMCST.h"
 C
Index: trunk/LMDZ.TITAN/libf/phytitan/drag_noro.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/drag_noro.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/drag_noro.F	(revision 1530)
@@ -11,7 +11,4 @@
       use dimphy
       IMPLICIT none
-
-#include "dimensions.h"
-#include "paramet.h"
 
 c======================================================================
@@ -30,5 +27,5 @@
 c paprs---input-R-Pressure in semi layers    (Pa)
 c pplay---input-R-Pressure model-layers      (Pa)
-c pgeop---input-R-Geopotential model layers (reference ground)
+c pgeop---input-R-Geopotential model layers (reference to ground)
 c pn2-----input-R-Brunt-Vaisala freq.^2 at 1/2 layers
 c t-------input-R-temperature (K)
Index: trunk/LMDZ.TITAN/libf/phytitan/grid_noro.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/grid_noro.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/grid_noro.F	(revision 1530)
@@ -52,7 +52,7 @@
 C=======================================================================
 
+      use mod_grid_phy_lmdz, only: nbp_lon, nbp_lat
       IMPLICIT none 
       
-#include "dimensions.h"
 #include "YOMCST.h"
 
@@ -79,7 +79,7 @@
 C INTERMEDIATE FIELDS  (CORRELATIONS OF OROGRAPHY GRADIENT)
 
-      REAL ztz(iim+1,jjm+1),zxtzx(iim+1,jjm+1)
-      REAL zytzy(iim+1,jjm+1),zxtzy(iim+1,jjm+1)
-      REAL weight(iim+1,jjm+1)
+      REAL ztz(nbp_lon+1,nbp_lat),zxtzx(nbp_lon+1,nbp_lat)
+      REAL zytzy(nbp_lon+1,nbp_lat),zxtzy(nbp_lon+1,nbp_lat)
+      REAL weight(nbp_lon+1,nbp_lat)
 
 C CORRELATIONS OF USN OROGRAPHY GRADIENTS
@@ -107,6 +107,6 @@
 c    
 c
-      if(iim.ne.imar) STOP 'Problem dim. x'
-      if(jjm.ne.jmar-1) STOP 'Problem dim. y'
+      if(nbp_lon.ne.imar) STOP 'Problem dim. x'
+      if(nbp_lat-1.ne.jmar-1) STOP 'Problem dim. y'
       IF (imar.GT.2200 .OR. jmar.GT.1100) THEN
          PRINT*, 'imar or jmar too big', imar, jmar
@@ -114,5 +114,5 @@
       ENDIF
 
-      IF(imar+1.ne.iim+1.or.jmar.ne.jjm+1)THEN
+      IF(imar+1.ne.nbp_lon+1.or.jmar.ne.nbp_lat)THEN
         print *,' imar or jmar bad dimensions:',imar,jmar
         call abort
@@ -297,11 +297,11 @@
 C  FIRST FILTER, MOVING AVERAGE OVER 9 POINTS.
 
-       CALL MVA9(zmea,iim+1,jjm+1)
-       CALL MVA9(zstd,iim+1,jjm+1)
-       CALL MVA9(zpic,iim+1,jjm+1)
-       CALL MVA9(zval,iim+1,jjm+1)
-       CALL MVA9(zxtzx,iim+1,jjm+1)
-       CALL MVA9(zxtzy,iim+1,jjm+1) 
-       CALL MVA9(zytzy,iim+1,jjm+1)
+       CALL MVA9(zmea,nbp_lon+1,nbp_lat)
+       CALL MVA9(zstd,nbp_lon+1,nbp_lat)
+       CALL MVA9(zpic,nbp_lon+1,nbp_lat)
+       CALL MVA9(zval,nbp_lon+1,nbp_lat)
+       CALL MVA9(zxtzx,nbp_lon+1,nbp_lat)
+       CALL MVA9(zxtzy,nbp_lon+1,nbp_lat) 
+       CALL MVA9(zytzy,nbp_lon+1,nbp_lat)
 
        DO ii = 1, imar
Index: trunk/LMDZ.TITAN/libf/phytitan/gwprofil.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/gwprofil.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/gwprofil.F	(revision 1530)
@@ -38,7 +38,4 @@
       use dimphy
       IMPLICIT NONE
-
-#include "dimensions.h"
-#include "paramet.h"
 
 #include "YOMCST.h"
Index: trunk/LMDZ.TITAN/libf/phytitan/gwstress.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/gwstress.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/gwstress.F	(revision 1530)
@@ -54,7 +54,4 @@
       use dimphy
       implicit none
-
-#include "dimensions.h"
-#include "paramet.h"
 
 #include "YOMCST.h"
Index: trunk/LMDZ.TITAN/libf/phytitan/hgardfou.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/hgardfou.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/hgardfou.F	(revision 1530)
@@ -3,10 +3,10 @@
 !
       SUBROUTINE hgardfou (t,tsol,text)
+
+      use dimphy
+      IMPLICIT none
 c======================================================================
 c Verifier la temperature
 c======================================================================
-      use dimphy
-      IMPLICIT none
-#include "dimensions.h"
 #include "YOMCST.h"
       REAL t(klon,klev), tsol(klon)
@@ -84,5 +84,5 @@
            ok = .FALSE.
            DO i = 1, jbad
-             PRINT *,'i,temperature sol =',jadrs(i),zt(jadrs(i))
+             PRINT *,'i,temperature =',jadrs(i),zt(jadrs(i))
            ENDDO
          ENDIF
@@ -101,5 +101,5 @@
            ok = .FALSE.
            DO i = 1, jbad
-             PRINT *,'i,temperature sol =',jadrs(i),zt(jadrs(i))
+             PRINT *,'i,temperature =',jadrs(i),zt(jadrs(i))
            ENDDO
          ENDIF
